#!/bin/bash

#CD/DVD/BD Image builder app for OpticalWM
#Application for WM's with dynamic-menu support

#Get WM value for item device = $1 /device is for test
device="$1"

#source "ib.config"
source "$HOME/.wm_optical/app.builder/ib-main.sh"


get_from "$device" --media --label --block_size --size_input
ask --output-label

#for testing
#device="/home/matt/TEST/TEST.tar"
#output_bin="/home/matt/TEST/TEST2.tar"
#label="test"
#media="dvd"
#size_input="2106343424"

case "$media" in
	
	optical_cd|optical_cd_r|optical_cd_rw|optical_mrw|optical_mrw_w)
		prepare $device
		cdrdao read-cd --device "$device" --read-subchan rw_raw --read-raw --datafile "$output_bin" "$output_toc" & PID_cdrdao=$!
		toc2cue "$output_toc" "$output_cue"
		
		ui --cdrdao-tray-osd
	;;
	
	*)
		prepare $device
		dd if="$device" bs="$block_size" of="$output_bin" & PID_dd=$!
		
		#UI
		ui --dd-tray-osd
	
	;;
			
esac
