#!/bin/bash

#Openbox functions
separator(){

case "$1" in

	--label)
	echo '<separator label="'"$2"'"></separator>'
	;;
	*)
	echo '<separator></separator>'
	;;
esac

}
item(){

echo '<item label="'"$2"'" icon="'"$4"'">
		<action name="Execute">
			<command>'"$6"'</command>
		</action>
	  </item>'


}
item.prompt(){

echo '<item label="'"$2"'" icon="'"$4"'">
		<action name="Execute">
			<command>'"$6"'</command>
			<prompt>'"$8"'</prompt>
		</action>
		
	  </item>'

}
open.menu(){

#open.menu --id "001" --label "label" --icon "path"
echo '<menu id="'"$2"'" label="'"$4"'" icon="'"$6"'">'

}
open.pipe.menu(){
echo '<openbox_pipe_menu>'
}
close.pipe.menu(){
echo '</openbox_pipe_menu>'
}
close.menu(){
echo '</menu>'
}

get.drive.parameters(){
#device & media parameters
udisks --show-info $device > /tmp/device
blank="$(cat "/tmp/device" | grep "blank" | awk '{print $2}')"
closed="$(cat "/tmp/device" | grep "closed" | awk '{print $2}')"
n_session="$(cat "/tmp/device" | grep "num sessions" | awk '{print $3}')"	
type="$(cat "/tmp/device" | grep "type" | awk '{print $2}')"
media="$(cat "/tmp/device" | grep "media:" | sed 1d | sed 1d | sed 2d | awk '{print $2}')"
}
